/*
 * Name:     CHead.h
 *
 *
 * Class:    CHead
 * Impl:     CHead.cpp
 * Created : Feb 26, 2010
 * Author :  Kenji Aono
 */

#pragma once
#ifndef CHEAD_H_
#define CHEAD_H_

#include "CImageDrawable.h"

/*
 * Class:    CHead
 * 
 */
class CHead : public CImageDrawable
{
public:

	enum{Harold, DanishCousin};

	CHead(const std::wstring &name, const std::wstring &filename, int indicator);
	virtual ~CHead();

	virtual void Draw(wxDC* dc);

	virtual bool IsMovable() {return true;}

private:
	//CHead();
	int mClass;

	std::list<CDrawable *> mDrawables;
};

#endif /* CHEAD_H_ */
