/*
 * Name:     CNoRotationImageDrawable.cpp
 *
 *
 * Class:    CNoRotationImageDrawable
 * Header:   CNoRotationImageDrawable.h
 * Created : Feb 26, 2010
 * Author :  Kenji Aono
 */

#include "wx/prec.h"
#include "CNoRotationImageDrawable.h"

/*
 * Name :        CNoRotationImageDrawable::CNoRotationImageDrawable()
 * Description : Image drawable (no rotation) class constructor.
 */
//CNoRotationImageDrawable::CNoRotationImageDrawable()
//{
//}

/*
 * Name :        CNoRotationImageDrawable::CNoRotationImageDrawable()
 * Description : Constructor for an image drawable (no rotation)
 */

CNoRotationImageDrawable::CNoRotationImageDrawable(const std::wstring &name, const std::wstring &filename) : CImageDrawable(name, filename)
{
    mImage.LoadFile(filename.c_str());
    SetCenter(wxPoint(0, 0));
}

/*
 * Name :        CNoRotationImageDrawable::~CNoRotationImageDrawable()
 * Description : Image drawable (no rotation) class destructor.
 */
CNoRotationImageDrawable::~CNoRotationImageDrawable()
{
}
