/*
 * Name:     CTimelineDlg.h
 *
 *
 * Class:    CTimelineDlg
 * Impl:     CTimelineDlg.cpp
 * Created : Mar 10, 2010
 * Author :  Kenji Aono
 */

#pragma once
#ifndef CTIMELINEDLG_H_
#define CTIMELINEDLG_H_

#include "CTimeline.h"

/*
 * Class:    CTimelineDlg
 * 
 */
class CTimelineDlg : public wxDialog
{
public:
    // Id values for our controls
    enum Ids {ID_Ok, ID_Cancel, ID_FrameRate, ID_NumFrames};

	CTimelineDlg(wxWindow *parent, CTimeline *timeline);
	virtual ~CTimelineDlg();

	void OnOkButton(wxCommandEvent &event);
	void OnCancelButton(wxCommandEvent &event);

    DECLARE_EVENT_TABLE()

private:
	// CTimelineDlg();
	CTimeline *mTimeline;
    wxTextCtrl *mFrameRateText;
    wxTextCtrl *mNumFramesText;
    wxButton *mOkButton;
    wxButton *mCancelButton;
};

#endif /* CTIMELINEDLG_H_ */
