/*
 * Name:     CDanishCousinFactory.h
 *
 *
 * Class:    CDanishCousinFactory
 * Impl:     CDanishCousinFactory.cpp
 * Created : Feb 27, 2010
 * Author :  Kenji Aono
 */

#pragma once
#ifndef CDANISHCOUSINFACTORY_H_
#define CDANISHCOUSINFACTORY_H_

#include "CActorFactory.h"

/*
 * Class:    CDanishCousinFactory
 * 
 */
class CDanishCousinFactory : public CActorFactory
{
public:
	CDanishCousinFactory();
	virtual ~CDanishCousinFactory();

	CActor* Create();
};

#endif /* CDANISHCOUSINFACTORY_H_ */
